#ifndef IMAGE_SCOPE_H
#define IMAGE_SCOPE_H

class ImageObject;

// view for the images (should displays bitmap and name, maybe more info later on)
class ImageScope : public wxWindow
{
public:
    virtual ~ImageScope();
        
    ImageScope( wxWindow *parent,
                wxWindowID id,
                ImageObject *img_ = 0,
                const wxPoint& pos = wxDefaultPosition,
                const wxSize& size = wxDefaultSize,
                long style = 0,
                const wxString& name = wxT("ImageScope") );
      
    void SetImageObject(ImageObject * imgObj_);
    ImageObject *GetImageObject()   { return mImageObj; }
    wxImage * GetImage();

protected:
    void OnPaint(wxPaintEvent& event);
    void OnEraseBackground(wxEraseEvent& event_);
    void OnSetFocus(wxFocusEvent& event_);
    void OnKillFocus(wxFocusEvent& event_);

    DECLARE_EVENT_TABLE()
    
private:
    ImageObject * mImageObj;
};

#endif // IMAGE_SCOPE_H
